=== debian/changelog ===
firebuild (0.2.12-3) unstable; urgency=medium

  * Correct cache size calculation and fix wrong stored cache size
    (Closes: #1034342)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 13 Apr 2023 10:58:29 +0200

firebuild (0.2.12-2) unstable; urgency=medium

  * Intercept seccomp syscall and always return with EINVAL error.
    Also allow intercepting man again since seccomp() calls won't crash it
    anymore under interception. (Closes: #1032619)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 12 Mar 2023 23:16:41 +0100

firebuild (0.2.12-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream release with targeted fixes

  [ Frans Spiesschaert ]
  * Dutch translation of debconf messages (Closes: #1029714)

  [ Camaleón ]
  * Spanish translation of the debconf template (Closes: #1030654)

  [ Paulo Henrique de Lima Santana (phls) ]
  * Brazilian Portuguese debconf templates translation (Closes: #1031318)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 23 Feb 2023 17:49:40 +0100

firebuild (0.2.11-1) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * debian: Initial German debconf translation (Closes: #1029278)

  [ Balint Reczey ]
  * New upstream release
  * debian: Bump standards version, no changes were needed
  * debian: Armel autopkgtests are slower
  * debian: Don't require node-d3 for building firebuild.
    Tests can run without it and it is missing on Ubuntu 18.04.
  * debian: Build-depend on fakeroot (with <!nocheck>)
  * debian: Update copyright

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 21 Jan 2023 15:33:22 +0100

firebuild (0.2.10-1) unstable; urgency=medium

  * debian: Show firebuild stats in autopkgtest

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 13 Jan 2023 18:14:24 +0100

firebuild (0.2.10-0exp1) experimental; urgency=medium

  * Initial Release (Closes: #1026792)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 11 Jan 2023 23:06:05 +0100
