=== debian/tests/control ===
Tests: recompile-bash
Depends: bash, bc, debconf, time
Restrictions: needs-root, allow-stderr
