## firebuild 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 if (NOT DEFINED FIREBUILD_VERSION)
   # Set in tagged commits only
-  set(FIREBUILD_VERSION "0.2.12")
+  set(FIREBUILD_VERSION "0.8.2")
 endif()
 
 if (NOT DEFINED FIREBUILD_VERSION)
@@ -23,8 +23,6 @@
 include(CheckCCompilerFlag)
 include(CheckCXXCompilerFlag)
 include(GNUInstallDirs)
-
-set(LIBFIREBUILD_SO "libfirebuild.so")
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 # TODO set to install dir
@@ -44,7 +42,6 @@
   -Warray-bounds
   -fvisibility=hidden
   -Woverflow
-  -Weffc++
 #  -Wlogical-op clang does not like that
   -Wredundant-decls
   -Wno-format-zero-length)
@@ -61,6 +58,33 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${FLAG}")
   endif()
 endforeach()
+
+if (NOT APPLE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weffc++")
+endif()
+
+# dynamic library handling
+if (APPLE)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\" -DLD_LIBRARY_PATH=\\\"DYLD_LIBRARY_PATH\\\"")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\" -DLD_LIBRARY_PATH=\\\"DYLD_LIBRARY_PATH\\\"")
+  set(LIBFIREBUILD_SO "libfirebuild.dylib")
+  set(CMAKE_TARGET_LD_LIBRARY_PATH "DYLD_LIBRARY_PATH")
+else()
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\" -DLD_LIBRARY_PATH=\\\"LD_LIBRARY_PATH\\\"")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\" -DLD_LIBRARY_PATH=\\\"LD_LIBRARY_PATH\\\"")
+  set(LIBFIREBUILD_SO "libfirebuild.so")
+  set(CMAKE_TARGET_LD_LIBRARY_PATH "LD_LIBRARY_PATH")
+endif()
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_LIBRARY_PATH=\\\"${CMAKE_TARGET_LD_LIBRARY_PATH}\\\"")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_LIBRARY_PATH=\\\"${CMAKE_TARGET_LD_LIBRARY_PATH}\\\"")
+
+if (APPLE)
+  # build the interceptor for multiple architectures
+  set(FAT_ARCH_C_FLAGS "-arch arm64 -arch arm64e -arch x86_64")
+  set(CMAKE_SHARED_LINKER_FLAGS ${FAT_ARCH_C_FLAGS})
+  # TODO build the supervisor, too, for multiple architectures
+endif()
 
 if(COVERAGE)
   # minimal (lines) coverage
