=== src/interceptor/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # gnu89 required to avoid the __isoc99_scanf hell
 # ignored warnings most likely don't exist in every compiler version
-set_source_files_properties(interceptors.c PROPERTIES COMPILE_FLAGS "-std=gnu89 -Wno-pragmas -Wno-unknown-warning-option")
+set_source_files_properties(interceptors.c PROPERTIES COMPILE_FLAGS "-std=gnu89 -Wno-pragmas -Wno-unknown-warning-option -Wno-deprecated-declarations ${FAT_ARCH_C_FLAGS}")
 
 # the trace markers may truncate the marker messages
 set_source_files_properties(intercept.c
-  PROPERTIES COMPILE_FLAGS "-Wno-unknown-warning-option -Wno-stringop-truncation -DFIREBUILD_VERSION='\"${FIREBUILD_VERSION}\"'")
+  PROPERTIES COMPILE_FLAGS "-Wno-unknown-warning-option -Wno-stringop-truncation -DFIREBUILD_VERSION='\"${FIREBUILD_VERSION}\"' ${FAT_ARCH_C_FLAGS}")
 
 if (SANITIZE)
   set(SANITIZE_INTERCEPTOR_LINK_OPTIONS -fsanitize=undefined)
@@ -18,6 +18,7 @@
   tpl.c
   tpl_clone.c
   tpl_closefrom.c
+  tpl_copy_file_range.c
   tpl_close_range.c
   tpl_dlopen.c
   tpl_dup2.c
@@ -42,6 +43,7 @@
   tpl_readlink.c
   tpl_recvmsg.c
   tpl_seek.c
+  tpl_shm_open.c
   tpl_signal.c
   tpl_skip.c
   tpl_syscall.c
@@ -52,6 +54,11 @@
   COMMENT "Generating interceptor files from templates")
 
 add_custom_target(gen_files ALL DEPENDS gen_decl.h gen_def.c gen_impl.c gen_impl_syscalls.c.inc gen_list.txt gen_reset.c)
+
+set_source_files_properties(
+  env.c
+  ic_file_ops.c
+  PROPERTIES COMPILE_FLAGS "${FAT_ARCH_C_FLAGS}")
 
 add_library(firebuild SHARED
   env.c
@@ -68,6 +75,11 @@
   set_target_properties(firebuild PROPERTIES INTERPROCEDURAL_OPTIMIZATION True)
 endif()
 target_link_libraries(firebuild dl)
+
+#if(APPLE)
+#target_link_options(firebuild PUBLIC -Wno-strict-overflow ${SANITIZE_INTERCEPTOR_LINK_OPTIONS} -arch arm64 -arch arm64e -arch x86_64)
+#else()
 target_link_options(firebuild PUBLIC -Wno-strict-overflow ${SANITIZE_INTERCEPTOR_LINK_OPTIONS})
+#endif()
 
 install(TARGETS firebuild DESTINATION ${CMAKE_INSTALL_LIBDIR})
