=== debian/changelog ===
firebuild (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest running build time tests on installed firebuild
  * Depend on at least the glibc version firebuild is built with
  * debian/patches: Drop patches integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 24 Aug 2023 15:42:46 +0200

firebuild (0.8.1-1) unstable; urgency=medium

  * debian/gbp.conf: Add gbp config file
  * New upstream release
  * debian/patches: Cherry-pick upstream patches to fix i386 FTBFS

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 16 Aug 2023 11:40:29 +0200

firebuild (0.8.0-1) unstable; urgency=medium

  * debian/gitlab-ci.yml: Add basic Salsa CI configuration publishing .debs

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 21 Jun 2023 11:53:20 +0200

firebuild (0.8.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Install upstream ChangeLog
  * debian: Update short and long package description
  * debian/patches: Drop patches integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 19 Apr 2023 23:52:10 +0200
