=== debian/control ===
--- 
+++ 
@@ -31,27 +31,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${glibc:Depends},
          libfirebuild0 (= ${binary:Version})
 Pre-Depends: debconf | debconf-2.0
 Suggests: graphviz,
           node-d3
-Description: Automatic build accelerator
- It works by caching the outputs of executed commands and replaying the
- results when the same commands are executed with the same parameters
- within the same environment.
- .
- The commands can be compilation or other build artifact generation
- steps, tests, or any command that produces predictable output. The
- commands to cache and replay from the cache are determined
- automatically based on firebuild's configuration and each command's
- and its children's observed behavior.
-
-Package: libfirebuild0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: debconf | debconf-2.0
-Description: Automatic build accelerator - shared library
+Description: Automatic build accelerator cache
  It works by caching the outputs of executed commands and replaying the
  results when the same commands are executed with the same parameters
  within the same environment.
@@ -62,5 +47,31 @@
  automatically based on firebuild's configuration and each command's
  and its children's observed behavior.
  .
+ Firebuild supports caching compilation results of C, C++, Fortran, Java,
+ Rust, Scala and other compilers and outputs of scripts written in Bash,
+ Perl, Python and other interpreted languages.
+
+Package: libfirebuild0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${glibc:Depends}
+Pre-Depends: debconf | debconf-2.0
+Description: Automatic build accelerator cache - shared library
+ It works by caching the outputs of executed commands and replaying the
+ results when the same commands are executed with the same parameters
+ within the same environment.
+ .
+ The commands can be compilation or other build artifact generation
+ steps, tests, or any command that produces predictable output. The
+ commands to cache and replay from the cache are determined
+ automatically based on firebuild's configuration and each command's
+ and its children's observed behavior.
+ .
+ Firebuild supports caching compilation results of C, C++, Fortran, Java,
+ Rust, Scala and other compilers and outputs of scripts written in Bash,
+ Perl, Python and other interpreted languages.
+ .
  This package provides the shared library preloaded by the intercepted
  processes.
