## firebuild 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 if (NOT DEFINED FIREBUILD_VERSION)
   # Set in tagged commits only
-  set(FIREBUILD_VERSION "0.8.2")
+  set(FIREBUILD_VERSION "0.8.3")
 endif()
 
 if (NOT DEFINED FIREBUILD_VERSION)
@@ -61,6 +61,11 @@
 
 if (NOT APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weffc++")
+else()
+  # Those warnings are raised when assigning values where 32 bits
+  # are way more than enough.
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-shorten-64-to-32")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-shorten-64-to-32")
 endif()
 
 # dynamic library handling
@@ -98,7 +103,7 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
 endif()
 
-add_definitions(-DFIREBUILD_DATADIR="${DATADIR}" -DLIBFIREBUILD_SO="${LIBFIREBUILD_SO}")
+add_definitions(-DFIREBUILD_DATADIR="${DATADIR}" -DLIBFIREBUILD_SO="${LIBFIREBUILD_SO}" -DSYSCONFDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")
 if (ENABLE_XXH_INLINE_ALL)
   add_definitions(-DXXH_INLINE_ALL)
 endif()
