=== debian/changelog ===
firebuild (0.8.3-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS on armel and armhf.
    The FTBFS is caused by make not having been recompiled in the time64 transition.

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 22 Jul 2024 22:31:21 +0200

firebuild (0.8.3-2) unstable; urgency=medium

  [ Martin Bagge ]
  * Swedish debconf template translation.
    Thanks to Anders Jonsson for the review and correction (Closes: #1063556)
    (The previous upload did not incude that fix.)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 21 Jul 2024 22:22:46 +0200

firebuild (0.8.3-1) unstable; urgency=medium

  * New upstream release
    - Swedish debconf template translation (Closes: #1063556)
      Thanks to Anders Jonsson for the review and correction
    - Support GLibc 2.39's pidfd_spawn() and pidfd_spawnp()
    - Multiple other fixes, see the ChangeLog file
  * debian: Switch order of autopkgtest tests
    This moves the bash rebuild acceleration performance to the end of the test
    logs.

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 21 Jul 2024 19:30:02 +0200
