## firebuild 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 if (NOT DEFINED FIREBUILD_VERSION)
   # Set in tagged commits only
-  set(FIREBUILD_VERSION "0.8.3")
+  set(FIREBUILD_VERSION "0.8.4")
 endif()
 
 if (NOT DEFINED FIREBUILD_VERSION)
@@ -70,19 +70,17 @@
 
 # dynamic library handling
 if (APPLE)
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\" -DLD_LIBRARY_PATH=\\\"DYLD_LIBRARY_PATH\\\"")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\" -DLD_LIBRARY_PATH=\\\"DYLD_LIBRARY_PATH\\\"")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\"")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"DYLD_INSERT_LIBRARIES\\\"")
   set(LIBFIREBUILD_SO "libfirebuild.dylib")
-  set(CMAKE_TARGET_LD_LIBRARY_PATH "DYLD_LIBRARY_PATH")
 else()
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\" -DLD_LIBRARY_PATH=\\\"LD_LIBRARY_PATH\\\"")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\" -DLD_LIBRARY_PATH=\\\"LD_LIBRARY_PATH\\\"")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\"")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_PRELOAD=\\\"LD_PRELOAD\\\"")
   set(LIBFIREBUILD_SO "libfirebuild.so")
-  set(CMAKE_TARGET_LD_LIBRARY_PATH "LD_LIBRARY_PATH")
 endif()
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLD_LIBRARY_PATH=\\\"${CMAKE_TARGET_LD_LIBRARY_PATH}\\\"")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLD_LIBRARY_PATH=\\\"${CMAKE_TARGET_LD_LIBRARY_PATH}\\\"")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
 
 if (APPLE)
   # build the interceptor for multiple architectures
