=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,14 @@
   add_dependencies(check-bins "${TEST_BINARY}")
 endfunction()
 
-foreach(TESTFILE empty-config.conf integration.bats test_parallel_make.Makefile test_symbols)
+foreach(TESTFILE empty-config.conf integration.bats print_tbd_lib_arch_exports test_parallel_make.Makefile test_symbols)
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TESTFILE}" "${CMAKE_CURRENT_BINARY_DIR}/${TESTFILE}" COPYONLY)
 endforeach()
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/test_helper.bash.in ${CMAKE_CURRENT_BINARY_DIR}/test_helper.bash @ONLY)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/run-firebuild.in ${CMAKE_CURRENT_BINARY_DIR}/run-firebuild)
 
-add_test(bats-integration ./integration.bats)
+add_test(bats-integration env LC_ALL=C ./integration.bats)
 # firebuild's debug build would crash on the invalid entries in an assert()
 if (uppercase_CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR CMAKE_C_FLAGS MATCHES "-DFB_EXTRA_DEBUG")
   set_property(TEST bats-integration PROPERTY ENVIRONMENT "SKIP_GC_INVALID_ENTRIES_TEST=1")
@@ -38,12 +38,22 @@
 add_test_binary(test_cmd_clone)
 endif()
 add_test_binary(test_cmd_system)
+add_test_binary(test_pthreads)
+target_link_libraries(test_pthreads "-lpthread")
 add_test_binary(test_system)
 add_test_binary(test_exec)
 if (SANITIZE)
   set_source_files_properties(test_file_ops.c PROPERTIES COMPILE_DEFINITIONS "SKIP_TEST_NULL_NONNULL_PARAMS=1")
 endif()
 add_test_binary(test_file_ops)
+if(APPLE)
+  set_source_files_properties(test_file_ops.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+endif()
+target_link_libraries(test_file_ops "-ldl")
+add_library(test_dlopen_lib SHARED
+  EXCLUDE_FROM_ALL
+  test_dlopen_lib.c)
+add_dependencies(check-bins test_dlopen_lib)
 add_test_binary(test_file_ops_2)
 add_test_binary(test_file_ops_3)
 add_test_binary(test_random)
@@ -76,4 +86,8 @@
 add_dependencies(check check-deps check-bins)
 add_dependencies(valgrind-check check-deps check-bins)
 
-add_test(test-symbols ./test_symbols ${CMAKE_BINARY_DIR})
+if(APPLE)
+  add_test(test-symbols env CMAKE_OSX_SYSROOT=${CMAKE_OSX_SYSROOT} ./test_symbols ${CMAKE_BINARY_DIR})
+else()
+  add_test(test-symbols ./test_symbols ${CMAKE_BINARY_DIR})
+endif()
