=== src/firebuild/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,9 @@
 # FBB structures and placing them aligned in buffers ensure that members will be aligned properly, too
 set_source_files_properties(execed_process_cacher.cc PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-strict-overflow")
 set_source_files_properties(message_processor.cc PROPERTIES COMPILE_FLAGS "-DFIREBUILD_VERSION='\"${FIREBUILD_VERSION}\"' -Wno-cast-align")
+set_source_files_properties(config.cc PROPERTIES COMPILE_FLAGS "-DFB_INTERCEPTOR_FULL_LIBDIR=\\\"${CMAKE_INSTALL_FULL_LIBDIR}\\\"")
 
-set_source_files_properties(firebuild.cc PROPERTIES COMPILE_FLAGS "-DFIREBUILD_VERSION='\"${FIREBUILD_VERSION}\"'")
+set_source_files_properties(options.cc PROPERTIES COMPILE_FLAGS "-DFIREBUILD_VERSION='\"${FIREBUILD_VERSION}\"'")
 
 find_package(LibConfig REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -16,10 +17,22 @@
   pkg_check_modules(JEMALLOC jemalloc)
 endif()
 find_package(tsl-hopscotch-map REQUIRED)
+if (APPLE)
+  pkg_check_modules(PLIST REQUIRED libplist-2.0>=2.3.0)
+  find_library(IOKit IOKit)
+  find_library(CoreFoundation CoreFoundation)
+endif()
+if (SANITIZE)
+  if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    # older GCCs needs the -static-libasan parameter to avoid ASan complaining with fakeroot
+    set(SANITIZE_SUPERVISOR_LINK_OPTIONS -static-libasan -fsanitize=address -fsanitize=undefined)
+  else()
+    set(SANITIZE_SUPERVISOR_LINK_OPTIONS -fsanitize=address -fsanitize=undefined)
+  endif()
+endif()
 
-if (SANITIZE)
-  set(SANITIZE_SUPERVISOR_LINK_OPTIONS -static-libasan -fsanitize=address -fsanitize=undefined)
-endif()
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -I${tsl-hopscotch-map_INCLUDE_DIRS}")
+set_source_files_properties(config.cc PROPERTIES INCLUDE_DIRECTORIES "${LIBCONFIGPP_INCLUDE_DIR}")
 
 add_custom_command(
   OUTPUT fbbfp.cc fbbfp.h fbbfp_decode.c
@@ -61,6 +74,7 @@
   execed_process_env.cc
   forked_process.cc
   message_processor.cc
+  options.cc
   process_factory.cc
   process_tree.cc
   hash.cc
@@ -78,7 +92,7 @@
   fbbstore.cc
   $<TARGET_OBJECTS:common_objs>
   $<TARGET_OBJECTS:fbbcomm_cc>)
-target_link_libraries(firebuild-bin ${LIBCONFIGPP_LIBRARY} ${JEMALLOC_LIBRARIES} ${XXHASH_LIBRARIES})
+target_link_libraries(firebuild-bin ${LIBCONFIGPP_LIBRARY} ${JEMALLOC_LDFLAGS} ${XXHASH_LDFLAGS} ${PLIST_LINK_LIBRARIES} ${IOKit} ${CoreFoundation})
 target_link_options(firebuild-bin PUBLIC -Wno-array-bounds -Wno-strict-overflow ${SANITIZE_SUPERVISOR_LINK_OPTIONS})
 set_target_properties(firebuild-bin PROPERTIES OUTPUT_NAME firebuild)
 # GCC 9's LTO implementation seem to have a bug we hit, but did not fully triage yet
