=== debian/changelog ===
firebuild (0.8.4-3) unstable; urgency=medium

  [ Balint Reczey ]
  * Fix autopkgtest restriction allow-stder -> allow-stderr
  * Fix pedantic and informative Lintian errors
  * Cherry-pick upstream fix to shortcut GCC 15, that started using truncate()
    (Closes: #1114101)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1104104)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Sep 2025 12:25:35 +0200

firebuild (0.8.4-2) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese debconf templates translation (Closes: #1101947)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 16 Apr 2025 13:38:50 +0200

firebuild (0.8.4-1) unstable; urgency=medium

  * New upstream release
    - Support Make 4.4 (Closes: #1089254)
  * debian/control: Drop dependency on graphviz.
    The build report now uses Viz.js for generating the call graph inside the
    browser.
  * debian/copyright: Update copyright for heapsort.c
  * Drop patch integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 17 Dec 2024 19:26:17 +0100
