=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                fakeroot <!nocheck>,
                gcc (>= 4:10) | gcc-10,
                g++ (>= 4:10) | g++-10,
-               graphviz,
                libconfig++-dev,
                libjemalloc-dev,
                libtsl-hopscotch-map-dev,
@@ -20,7 +19,7 @@
                po-debconf,
                python3-jinja2,
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://firebuild.com
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/firebuild
@@ -34,8 +33,7 @@
          ${glibc:Depends},
          libfirebuild0 (= ${binary:Version})
 Pre-Depends: debconf | debconf-2.0
-Suggests: graphviz,
-          node-d3
+Suggests: node-d3
 Description: Automatic build accelerator cache
  It works by caching the outputs of executed commands and replaying the
  results when the same commands are executed with the same parameters
@@ -52,6 +50,7 @@
  Perl, Python and other interpreted languages.
 
 Package: libfirebuild0
+Section: non-free/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
